# _Fixtures
<span class="source-link">[[Source]](src/cli/_test.md#L528)</span>
```pony
primitive val _Fixtures
```

## Constructors

### create
<span class="source-link">[[Source]](src/cli/_test.md#L528)</span>


```pony
new val create()
: _Fixtures val^
```

#### Returns

* [_Fixtures](cli-_Fixtures.md) val^

---

## Public Functions

### bools_cli_spec
<span class="source-link">[[Source]](src/cli/_test.md#L529)</span>


Builds and returns the spec for a CLI with four bool options.


```pony
fun box bools_cli_spec()
: CommandSpec box ?
```

#### Returns

* [CommandSpec](cli-CommandSpec.md) box ?

---

### simple_cli_spec
<span class="source-link">[[Source]](src/cli/_test.md#L540)</span>


Builds and returns the spec for a CLI with short options of each type.


```pony
fun box simple_cli_spec()
: CommandSpec box ?
```

#### Returns

* [CommandSpec](cli-CommandSpec.md) box ?

---

### chat_cli_spec
<span class="source-link">[[Source]](src/cli/_test.md#L562)</span>


Builds and returns the spec for a sample chat client's CLI.


```pony
fun box chat_cli_spec()
: CommandSpec box ?
```

#### Returns

* [CommandSpec](cli-CommandSpec.md) box ?

---

### eq
<span class="source-link">[[Source]](src/cli/_test.md#L529)</span>


```pony
fun box eq(
  that: _Fixtures val)
: Bool val
```
#### Parameters

*   that: [_Fixtures](cli-_Fixtures.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

### ne
<span class="source-link">[[Source]](src/cli/_test.md#L529)</span>


```pony
fun box ne(
  that: _Fixtures val)
: Bool val
```
#### Parameters

*   that: [_Fixtures](cli-_Fixtures.md) val

#### Returns

* [Bool](builtin-Bool.md) val

---

